/**
 * This file is part of the MedSafe application which is commercial software created by MedVision360 B.V.
 * The source code is proprietary and confidential.
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited.
 *
 * Copyright (c) by MedVision360 B.V. All rights reserved.
 *
 * For the application name: io.medrecord.medsafe
 */
import { ElementRef } from '@angular/core';
import * as Core from '@angular/core';
import { NgControl } from '@angular/forms';
import * as Forms from '@angular/forms';
import { IconType, inputControlType, InputOptions } from '../../../../models';
export declare class InputComponent implements Forms.ControlValueAccessor, Core.AfterViewInit {
    ngControl: NgControl;
    inputElementRef: ElementRef;
    private readonly defaultOptions;
    preparedOptions: InputOptions;
    set options(options: InputOptions);
    disabledTo: Date;
    disabledAfter: Date;
    description: string;
    hint: string;
    label: string;
    labelDescription: string;
    setDateNow: boolean;
    inputWidth: number;
    placeholder: string;
    formControlStyles: boolean;
    isDisabled: boolean;
    showPasswordString: boolean;
    marginBottom: boolean;
    maxSelectableDate: any;
    inputType: string;
    dateTimePickerStartsWithYear: boolean;
    onChange: any;
    onTouched: any;
    valueChange(value: string): void;
    convertToInputType(value: string): void;
    constructor(ngControl: NgControl);
    ngAfterViewInit(): void;
    get inputId(): string | number;
    get isPasswordInput(): boolean;
    get preparedLeftIcon(): IconType.atom | IconType;
    onIconClick(): void;
    get showError(): boolean;
    get preparedInputType(): inputControlType.password | inputControlType;
    get warningIcon(): IconType;
    get preparedIconRight(): IconType.atom | IconType.arrowDown | IconType;
    setShowPasswordString(value: boolean): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(disabled: any): void;
}
